%define apache_version 1.3.33

Summary:	Files common for apache and apache-mod_perl installations
Name:		apache-common
Version:	%{apache_version}
Release:	%mkrel 6
Group:		System/Servers
URL:		http://www.apache.org
License:	Apache License
Prereq:		rpm-helper
Conflicts:	apache2-common
BuildRequires:	apache-source = %{apache_version}
BuildRequires:	apache-devel = %{apache_version}
BuildRequires:	mm-devel
BuildRequires:	db4-devel
BuildRequires:	gdbm-devel
BuildRequires:	db1-devel
BuildConflicts:	BerkeleyDB-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains files required for both apache and apache-mod_perl
package installations. Install this if you want to install Apache or/and
Apache with mod_perl.

%prep

%setup -q -c -T -n %{name}-%{version}
cp -a %{_usrsrc}/apache_%{apache_version}/* .

%build

pushd src/support
    for var in TARGET CC CFLAGS CFLAGS_SHLIB LD_SHLIB LDFLAGS_SHLIB LIBS_SHLIB PREFIX SBINDIR INCLUDEDIR LIBEXECDIR SYSCONFDIR ;do
	export $var="`/usr/sbin/apxs -q $var`"
    done
    export INCDIR=$INCLUDEDIR
    export OSDIR=$INCLUDEDIR
    export OPTIM="$CFLAGS -I$INCLUDEDIR"
    export LIBS1="-L$LIBEXECDIR -lcrypt"
    echo $CFLAGS
    cp -f Makefile.tmpl Makefile
    make 
    # enable ssl in ab
    rm -f ab ab.o
    make CFLAGS="$CFLAGS -I%{_includedir}/openssl -I%{_includedir}/apache -DUSE_SSL " \
    LIBS="-L%{_libdir}/apache -lap -los -lgdbm -lpthread -lm -lcrypt -ldb -ldl -L%{_libdir} -lssl -lcrypto" \
    ab
    rm -f Makefile
popd


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/apache
install -d %{buildroot}%{_var}/log/httpd
install -d %{buildroot}%{_sysconfdir}/httpd
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_var}/apache-mm
install -d %{buildroot}%{_var}/cache/httpd
install -d %{buildroot}%{_var}/www
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/www/icons
install -d %{buildroot}%{_var}/www/html/addon-modules

#Link modules dir
ln -sf ../..%{_libdir}/apache %{buildroot}%{_sysconfdir}/httpd/modules

#Apxs needs this to pickup the right lib for install
ln -sf ../..%{_libdir} %{buildroot}%{_sysconfdir}/httpd/%{_lib}

#Link log directory
ln -sf ../..%{_var}/log/httpd %{buildroot}%{_sysconfdir}/httpd/logs

pushd src/support
    chmod 755 dbmmanage
    cp checkgid dbmmanage htdigest htpasswd %{buildroot}%{_bindir}
    cp ab logresolve rotatelogs %{buildroot}%{_sbindir}
    cp *.1 %{buildroot}%{_mandir}/man1
    cp apxs.8 ab.8 apachectl.8 logresolve.8 rotatelogs.8 %{buildroot}%{_mandir}/man8
popd

pushd cgi-bin
    cp * %{buildroot}%{_var}/www/cgi-bin
popd 

pushd icons
    cp -a * %{buildroot}%{_var}/www/icons
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre 
%_pre_useradd apache %{_var}/www /bin/sh

%postun 
%_postun_userdel apache

%files 
%defattr(-,root,root)
%doc README.ADVX
%dir %{_var}/www
%{_var}/www/cgi-bin/*
%{_var}/www/icons/*
%dir %{_libdir}/apache
%dir %{_var}/www/html
%dir %{_var}/www/html/addon-modules
%attr(-,apache,apache) %dir %{_var}/cache/httpd
%{_mandir}/*/*
%{_bindir}/*
%{_sbindir}/ab
%{_sbindir}/logresolve
%{_sbindir}/rotatelogs
%{_sysconfdir}/httpd/logs
%{_sysconfdir}/httpd/modules
%{_sysconfdir}/httpd/%{_lib}
%dir %{_var}/log/httpd
#JMD: *never remove this!* 1333 is the *right* permission.
%attr(1333,apache,apache) %dir %{_var}/apache-mm

%changelog
* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-6mdk
- rebuilt to match release
- use the %%mkrel macro

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-5mdk
- spec file cleanups, remove the ADVX-build stuff

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-4mdk
- release has to match

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-1mdk
- 1.3.33
- added fixes from the apache-ssl package 

* Sat Sep 04 2004 Pascal Terjan <pterjan@mandrake.org> 1.3.31-1mdk
- build for 1.3.31

* Sat Feb 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.3.29-1mdk
- build for 1.3.29

* Mon Sep 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-3mdk
- fix ASF bug #21737 (cgi zombie processes)

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-2mdk
- security update

* Mon Mar 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-8mdk
- add Conflicts: apache2-common

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-7mdk
- split apache-common into its own package so we can put apache-modules into
  cooker and keep apache-common into contribs.
